﻿using System.Windows;

namespace Hermes {
    public partial class InputWindow : Window {
        private string inputText = null;

        public InputWindow(string title, string message, Window parent) {
            InitializeComponent();
            msgTextBlock.Text = message;
            Title = title;
            Owner = parent;
        }

        private void Valider_Click(object sender, RoutedEventArgs e) {
            inputText = inputTextBox.Text;
            DialogResult = true;
            Close();
        }

        private void Annuler_Click(object sender, RoutedEventArgs e) {
            Close();
        }

        public string InputText => inputText;
    }
}
